<?
namespace admin\controls;

class BannerManager
{
	public function getContent()
	{
		$rw = \System::formGet( 'rw' );

		if ( $rw == 'edit' )
			return \admin\view\BannerManager::edit( \System::formGetInt( 'id' ) );
		if ( $rw == 'add' )
			return \admin\view\BannerManager::edit();
		if ( $rw == 'down' )
			\admin\factory\BannerManager::down( \System::formGetInt( 'id' ) );
		if ( $rw == 'up' )
      \admin\factory\BannerManager::up( \System::formGetInt( 'id' ) );
		if ( $rw == 'del' )
      \admin\factory\BannerManager::delete( \System::formGetInt( 'id' ) );
		return \admin\view\BannerManager::show();
	}
}
?>